%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Net_UserAgent_Detect
Summary:	%{_pearname} - determines the Web browser
Summary(pl.UTF-8):	%{_pearname} - identyfikuje przeglądarkę
Name:		php-pear-%{_pearname}
Version:	2.5.2
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	646e074fd7faa8c14fba12b698ba28c9
URL:		http://pear.php.net/package/Net_UserAgent_Detect/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.1.0
Requires:	php-pear >= 4:1.3-4
Obsoletes:	php-pear-Net_UserAgent_Detect-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net_UserAgent object does a number of tests on an HTTP User-Agent
string. The results of these tests are available via methods of the
object. This module is based upon the JavaScript browser detection
code available at
http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html.
This module had many influences from the lib/Browser.php code in
version 1.3 of Horde.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Obiekt Net_UserAgent wykonuje wiele testów na polu User-Agent z
nagłówka HTTP. Wyniki tych testów są dostępne poprzez metody obiektu.
Ten moduł został stworzony na podstawie kodu do wykrywania
przeglądarek z poziomu JavaScriptu, dostępnego pod adresem
http://www.mozilla.org/docs/web-developer/sniffer/browser_type.html.
Ten moduł ma także wiele wpływów z kodu lib/Browser.php z Horde w
wersji 1.3.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/UserAgent/Detect.php
%{php_pear_dir}/Net/UserAgent/Detect
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 15f1cb3
- use php(core) for php engine version deps
- release 3 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 2c820af
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 297be6a
- dropped -tests subpackage

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 8a48005
- Net/UserAgent dir moved to php-pear; rel 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 892a10e
- updated to: 2.5.2

* Tue Oct 14 2008 Adam Gołębiowski <adamg@pld-linux.org> 1a249f4
- applied upstream

* Tue Oct 14 2008 Adam Gołębiowski <adamg@pld-linux.org> 639fab5
- updated to 2.5.0
- paths patch already applied

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> d9bdeb7
- rel 2

* Thu Sep 20 2007 Adam Gołębiowski <adamg@pld-linux.org> 9189ef4
- new

* Thu Sep 20 2007 Adam Gołębiowski <adamg@pld-linux.org> 8244a5b
- updated to 2.4.0

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> c58e1e1
- updated to 2.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8c87191
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 42462ae
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> cb9def9
- BR rpm-build macros >= 1.300 for %pear_ macros

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> c7b88cb
- updated to 2.2.0

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 147f4d0
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 14f5684
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 0a332e4
- group Development/Languages/PHP for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> afe63c2
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 7832a0c
- rel 2

